Package org.springframework.context

# Interface LifecycleProcessor

All Superinterfaces:
  `Lifecycle`

All Known Implementing Classes:
  `DefaultLifecycleProcessor`

public interface LifecycleProcessor extends Lifecycle
Strategy interface for processing Lifecycle beans within the ApplicationContext.

Since:
  3.0
Author:
  Mark Fisher, Juergen Hoeller

## Method Summary

Modifier and Type
Method
Description
`void`
`onClose()`
Notification of context close phase, for example, for auto-stopping components.
`void`
`onRefresh()`
Notification of context refresh, for example, for auto-starting components.

### Methods inherited from interface org.springframework.context.Lifecycle

`isRunning, start, stop`

## Method Details

### onRefresh

void onRefresh()
Notification of context refresh, for example, for auto-starting components.

### onClose

void onClose()
Notification of context close phase, for example, for auto-stopping components.